Table of Contents

## Name

IsCursorKey, IsFunctionKey, IsKeypadKey, IsMiscFunctionKey, IsModiferKey, IsPFKey, IsPrivateKeypadKey - keysym classification macros

## Syntax

IsCursorKey(keysym)

IsFunctionKey(keysym)

IsKeypadKey(keysym)

IsMiscFunctionKey(keysym)

IsModifierKey(keysym)

IsPFKey(keysym)

IsPrivateKeypadKey(keysym)

## Arguments

keysym
  Specifies the KeySym that is to be tested.

## Description

The IsCursorKey macro returns True if the specified KeySym is a cursor key.

The IsFunctionKey macro returns True if the KeySym is a function key.

The IsKeypadKey macro returns True if the specified KeySym is a keypad key.

The IsMiscFunctionKey macro returns True if the specified KeySym is a miscellaneous function key.

The IsModiferKey macro returns True if the specified KeySym is a modifier key.

The IsPFKey macro returns True if the specified KeySym is a PF key.

The IsPrivateKeypadKey macro returns True if the specified KeySym is a vendor-private keypad key.

## See Also

AllPlanes(3X11) , BlackPixelOfScreen(3X11) , ImageByteOrder(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also